6.10.5. Red Hat Quay API を使用して組織のプロキシーキャッシュを設定する


組織のプロキシーキャッシュは、Red Hat Quay API を使用して設定できます。

手順

  1. 組織のプロキシーキャッシュ設定を作成するには、POST /api/v1/organization/{orgname}/proxycache エンドポイントを使用します。

    $ curl -X POST "https://<quay-server.example.com>/api/v1/organization/<orgname>/proxycache" \
      -H "Authorization: Bearer <access_token>" \
      -H "Content-Type: application/json" \
      -d '{
            "upstream_registry": "<upstream_registry>"
            "upstream_registry_username": "your_robot_account_username"
            "upstream_registry_password": "your_robot_account_password"
          }'
  2. プロキシー設定を検証するには、POST /api/v1/organization/{orgname}/validateproxycache エンドポイントを使用します。

    $ curl -X POST "https://<quay-server.example.com>/api/v1/organization/{orgname}/validateproxycache" \
      -H "Authorization: Bearer <access_token>" \
      -H "Content-Type: application/json" \
      -d '{
            "upstream_registry": "<upstream_registry>"
            "upstream_registry_username": "your_robot_account_username"
            "upstream_registry_password": "your_robot_account_password"
          }'
  3. プロキシーキャッシュに関する情報を取得するには、GET /api/v1/organization/{orgname}/proxycache エンドポイントを使用します。以下に例を示します。

    $ curl -X GET "https://<quay-server.example.com>/api/v1/organization/{orgname}/proxycache" \
      -H "Authorization: Bearer <access_token>"

    出力例

    {"upstream_registry": "quay.io", "expiration_s": 86400, "insecure": false}

  4. DELETE /api/v1/organization/{orgname}/proxycache エンドポイントを使用します。

    $ curl -X DELETE "https://<quay-server.example.com>/api/v1/organization/{orgname}/proxycache" \
      -H "Authorization: Bearer <access_token>"

    出力例

    "Deleted"

Red Hat logoGithubredditYoutubeTwitter

詳細情報

試用、購入および販売

コミュニティー

会社概要

Red Hat は、企業がコアとなるデータセンターからネットワークエッジに至るまで、各種プラットフォームや環境全体で作業を簡素化できるように、強化されたソリューションを提供しています。

多様性を受け入れるオープンソースの強化

Red Hat では、コード、ドキュメント、Web プロパティーにおける配慮に欠ける用語の置き換えに取り組んでいます。このような変更は、段階的に実施される予定です。詳細情報: Red Hat ブログ.

Red Hat ドキュメントについて

Legal Notice

Theme

© 2026 Red Hat
トップに戻る